.app-banner {
    background: var(--corp-color-surface);
    padding-inline: 0;
}

.app-banner__inner {
    padding: 60px 0 44px 0;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 0;
    align-items: center;
    justify-content: center;
    background: var(--corp-color-surface-300);
    overflow: visible;
}

.app-banner__media {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.app-banner__media::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg,
            rgba(244, 244, 244, 0) 26.5%,
            #f4f4f4 93.31%);
    pointer-events: none;
}

.app-banner__picture {
    display: block;
    width: 100%;
    max-width: 300px;
    height: auto;
}

.app-banner__picture img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: contain;
    object-position: center;
}

.app-banner__content {
    padding-inline: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 40px;
    text-align: center;
}

.app-banner__title :is(h1, h2, h3, h4, h5, h6, p) {
    margin: 0;
    color: var(--corp-color-neutral-black);
    font-size: var(--corp-type-mobile-display-3-font-size);
    line-height: var(--corp-type-mobile-display-5-line-height);
    font-weight: var(--fw-400);
    letter-spacing: -0.56px;
}


.app-banner__title :is(h1, h2, h3, h4, h5, h6, p) strong,
.app-banner__title :is(h1, h2, h3, h4, h5, h6, p) b {
    color: var(--corp-color-primary);
    font-weight: inherit;
}

.app-banner__stores {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.app-banner__store-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}


.app-banner__link-picture {
    display: block;
    width: 100%;
}

.app-banner__link-picture img {
    display: block;
    width: 100%;
    height: auto;
}

.app-banner__footer {
    height: 20px;
    margin: 24px auto 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--corp-type-mobile-body-sm-2-font-size);
    line-height: var(--corp-type-mobile-body-sm-2-line-height);
}

.app-banner__footer-link {
    color: var(--corp-color-neutral-black);
    font-weight: var(--fw-500);
    text-decoration: underline;
    padding: 0 16px;
}

.app-banner__footer-link+.app-banner__footer-link {
    border-left: 1px solid rgba(0, 0, 0, 20%);
}


@media (width >=768px) {
    .app-banner {
        padding-inline: 32px;
    }

    .app-banner__inner {
        min-height: 367px;
        position: relative;
        background: transparent;
        flex-direction: row;
        gap: 100px;
        padding: 0;
        align-items: end;
        border-radius: 24px;
        overflow: hidden;
    }

    .app-banner__inner::before {
        content: '';
        position: absolute;
        inset: 0;
        background: var(--corp-color-surface-300);
        border-radius: inherit;
        margin-top: 0;
        z-index: 0;
    }

    .app-banner__media,
    .app-banner__content {
        position: relative;
        z-index: 1;
    }

    .app-banner__media {
        flex: 0 0 42%;
        align-items: flex-end;
        justify-content: flex-start;
        padding-left: 60px;
    }

    .app-banner__media::after {
        content: none;
    }

    .app-banner__picture {
        max-width: none;
        height: 100%;
    }

    .app-banner__picture img {
        height: 100%;
        object-position: left bottom;
    }

    .app-banner__content {
        flex: 0 0 42%;
        gap: 30px;
        padding: 0 60px 24px 0;
        text-align: left;
    }

    .app-banner__title :is(h1, h2, h3, h4, h5, h6, p) {
        color: var(--corp-color-primary);
        font-size: var(--corp-type-tablet-display-font-size);
        line-height: var(--corp-type-tablet-display-3xl-line-height);
        letter-spacing: -1.5px;
    }

    .app-banner__stores {
        justify-content: flex-start;
        gap: 30px;
    }

    .app-banner__footer {
        margin: 32px auto 0;
        font-size: var(--corp-type-desktop-body-lg-font-size);
        line-height: var(--corp-type-desktop-heading-3xl-line-height);
    }

}

@media (width >=1200px) {

    .app-banner {
        padding-inline: 60px;
    }

    .app-banner__inner {
        min-height: 686px;
        gap: 170px;
    }

    .app-banner__inner::before {
        margin-top: 14%;
    }

    .app-banner__content {
        gap: 60px;
    }

    .app-banner__stores {
        height: 261px;
    }

    .app-banner__title :is(h1, h2, h3, h4, h5, h6, p) {
        color: var(--corp-color-primary);
        font-size: var(--corp-type-desktop-heading-xxl-font-size);
        line-height: var(--corp-type-desktop-heading-4xxl-line-height);
        letter-spacing: -1.5px;
    }
}